curl --request POST \
--url https://sandbox.cashfree.com/verification/user/data-availability \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"verification_id": "123456",
"user": [
{
"identifier_type": "MOBILE",
"identifier_value": "9988123456"
}
]
}
'import requests
url = "https://sandbox.cashfree.com/verification/user/data-availability"
payload = {
"verification_id": "123456",
"user": [
{
"identifier_type": "MOBILE",
"identifier_value": "9988123456"
}
]
}
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
verification_id: '123456',
user: [{identifier_type: 'MOBILE', identifier_value: '9988123456'}]
})
};
fetch('https://sandbox.cashfree.com/verification/user/data-availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reference_id": 3123123,
"verification_id": "123456",
"user": [
{
"identifier_type": "MOBILE",
"identifier_value": "9988123456"
}
],
"available_scopes": [
{
"scope": "AADHAAR"
},
{
"scope": "PAN"
},
{
"scope": "DOB"
},
{
"scope": "EMAIL"
},
{
"scope": "GENDER"
},
{
"scope": "MOBILE"
},
{
"scope": "NAME"
},
{
"scope": "OCCUPATION"
},
{
"scope": "ADDRESS"
},
{
"scope": "INCOME"
},
{
"scope": "BANK_ACCOUNT"
}
]
}Data Availability
Use this API to check the availability of user data. Provide the required details in the request to retrieve data availability status.
Authorizations
Client ID. You can find your ID in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
Send the signature if IP is not whitelisted.
API version to be used. Format is in YYYY-MM-DD
Body
Find the request parameters to retrieve the information of a user data availability
Response
Response for user data availability request
It displays the unique ID created by Cashfree Payments for reference purposes.
format: int64
123456
It displays the unique ID you created to identify the verification request.
"testVerificationId"
It displays the list of user identifiers provided in the request.
Show child attributes
Show child attributes
It displays the list of available scopes.
Possible values are:
AADHAAR PAN DOB EMAIL GENDER MOBILE NAME OCCUPATION ADDRESS
Show child attributes
Show child attributes
